# Makefile.PL
#
# Usage:
#   perl Makefile.PL
#   make
#   make test
#   make install
# To see details about tests (what exactly failed?), use
#   make test TEST_VERBOSE=1
#
# You can create the MANIFEST file with
#   perl -M'ExtUtils::Manifest qw(mkmanifest)' -e 'mkmanifest();'
# To update an existing MANIFEST file (which may contain comments after
# each file name), use
#   make manifest

use ExtUtils::MakeMaker;

WriteMakefile(
	      NAME         => 'Fortran::Namelist',
	      VERSION_FROM => 'lib/Fortran/Namelist.pm', # extract from .pm file
	      PL_FILES     => {}                 # leave Build.PL alone 
	     );

# Add this literally to the Makefile (see `man ExtUtils::MakeMaker'):
sub MY::postamble {
# For the time being, README will contain the documentation
return <<'MAKE_FRAG';
README: lib/Fortran/Namelist.pm
	pod2text lib/Namelist.pm > README

pdf: lib/Fortran/Namelist.pm lib/Fortran/Namelist/Group.pm
	pod2latex -full -modify -prefile preamble.tex lib/Fortran/Namelist{,/Group}.pm -out Namelist.tex
	perl -i -0777 -pe 's/^(\\clearpage)/$$1\n\n\\emph{\\today}\n\n/m' Namelist.tex
	pdflatex Namelist && makeindex Namelist && pdflatex Namelist && pdflatex Namelist

cleantex:
	rm -f Namelist.{aux,dvi,idx,ilg,ind,log,out}

MAKE_FRAG
}


# End of file
